#include <iostream>

using namespace::std;

int func(long long int h, long long int w)
{
    if(h==1 && w==1)
    {
        return 1;
    }
    if(h>w)
    {
        return (h*w)+func(h-1, w)+func(1, w);
    }
    else
    {
        return ((h*w)+func(h, w-1)+func(h, 1));
    }
}

int main()
{
    long long int h, w;
    cin >> h >> w;
    cout << func(h, w) << endl;
}
